﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
    </style>
</head>
<body>
    <form runat="server">
        <asp:TextBox runat="server" ID="txtName"></asp:TextBox>
        <asp:Button runat="server" ID="btnSubmit" Text="Submit" OnClick="OnSubmit" />
        <asp:HiddenField runat="server" ID="hfCustomerId" />
    </form>
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css" />
    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <script type="text/javascript" src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script type="text/javascript">
        $(function () {
            $("[id*=txtName]").autocomplete({
                source: function (request, response) {
                    var prefix = request.term.toLowerCase();
                    $.get("https://raw.githubusercontent.com/aspsnippets/test/master/Customers.json", function (data, status) {
                        var customers = JSON.parse(data);
                        if (prefix != '') {
                            customers = customers.filter(function (customer) {
                                return customer.Name.toLowerCase().indexOf(prefix) != -1
                            });
                        }
                        response($.map(customers, function (customer) {
                            return {
                                label: customer.Name,
                                val: customer.CustomerId
                            };
                        }))
                    });
                },
                select: function (e, i) {
                    $("[id*=hfCustomerId]").val(i.item.val);
                },
                minLength: 0
            }).focus(function () {
                $(this).autocomplete("search");
            });
        });
    </script>
</body>
</html>
